Skip to main content
Update folder

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

folder_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
user_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

team_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_index
integer
title
string
archived
boolean

Response

Updated folder

folder_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

workspace_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

team_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_index
integer
title
string
archived
boolean
Last modified on July 23, 2026